<?php
//ogo 在线生成由 无名制作
//博客地址：http://blog.0907.org
//如果您使用本工具，
//请给 blog.0907.org一个友情链接
//无名 在此谢过啦！

$referer=$_SERVER['HTTP_REFERER'];

$url = empty($_GET['url'])?'':$_GET['url'];//网址
$mc = empty($_GET['mc'])?'':$_GET['mc'];//网站名称
$lei = empty($_GET['lei'])?'':$_GET['lei'];
$zzt = empty($_GET['zzt'])?'':$_GET['zzt'];//网站名称字体
$wzt = empty($_GET['wzt'])?'':$_GET['wzt'];//网址字体
//..................[文字].......................
$s = empty($_GET['s'])?'':$_GET['s'];//文字大小
$x= empty($_GET['x'])?'':$_GET['x'];//偏移角度

//..................[网址].......................
$sw = empty($_GET['sw'])?'':$_GET['sw'];//文字大小
$xw= empty($_GET['xw'])?'':$_GET['xw'];//偏移角度





$username = $mc;
$im = imagecreatetruecolor(200, 66);//图片大小
$color=imagecolorallocate($im,255,255,255);
$im = imagecreatefrompng("logo.png");

imagefill($im,0,0,$color);
//设置颜色
$ziti   = ImageColorAllocate($im, 5 , 135  , 168 );//文字颜色
$red   = ImageColorAllocate($im, 0 , 0 ,0);//网址颜色
$mczit = "fonts/$zzt.ttf";//网站名称字体
$urlzt = "fonts/$wzt.ttf";//网址字体
//输出图片
ImageTTFText($im, $s, $x, 60, 28,$ziti,$mczit,$username);//文字设置
ImageTTFText($im, $sw, $xw, 58, 50,$red,$urlzt,$url);//网址设置

Header("Content-type: image/png");
Imagegif($im);
ImageDestroy($im);
exit();

?>
